<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'eo', version '3.2'.
 *
 * @package     webservice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessexception'] = 'Escepto atingo-kontrolon';
$string['actwebserviceshhdr'] = 'Aktivaj TTT servo protokoloj';
$string['addaservice'] = 'Aldoni Servo';
$string['addcapabilitytousers'] = 'Kontrolu uzanton permesojn';
$string['addcapabilitytousersdescription'] = 'Uzuloj devas havi du kapablojn (permesoj) - webservice:createtoken kaj kapablo por egali la protokolojn uzatajn, ekz webservice/rest:use, webservice/soap:use. Por tion fari, krei TTT servo rolo kun taŭgaj kapabloj kaj atribui ĝin al uzanto ebligita TTT servo kiel sistemo rolon.';
$string['addfunction'] = 'Aldoni Funkcio';
$string['addfunctionhelp'] = 'Elektu la funkcion por aldoni la servon.';
$string['addfunctions'] = 'Aldoni roloj';
$string['addfunctionsdescription'] = 'Elektu la bezonatajn funkciojn por la nove kreita servon.';
$string['addrequiredcapability'] = 'Asigni/Malasigni la bezonatajn privilegiojn';
$string['addservice'] = 'Aldoni novan servon: {$a->name} (id: {$a->id})';
$string['addservicefunction'] = 'Aldoni funkciojn al servo "{$a}"';
$string['allusers'] = 'Ĉiuj uzantoj';
$string['apiexplorer'] = 'API Esploristo';
$string['apiexplorernotavalaible'] = 'Foliumilo API Ne disponebla';
$string['arguments'] = 'Argumentoj';
$string['authmethod'] = 'Identigo metodo';
$string['cannotcreatetoken'] = 'Neniu rajtas krei la retejon servo ilon por servo {$a}.';
$string['cannotgetcoursecontents'] = 'Vi ne povas atingi la enhavon de la kurso';
$string['checkusercapability'] = 'Kontrolu uzanton privilegiojn';
$string['checkusercapabilitydescription'] = 'La uzanto devas havi la kapablon (privilegiojn) taŭga laŭ la protokolo uzata, ekz webservice/ripozo: uzo, webservice/sapo: uzo. Por tion fari, krei liston kun TTT servoj kapabloj ebligis protokolon kaj atribui gxin al uzanto ttt servoj kiel sistemo rolon.';
$string['configwebserviceplugins'] = 'Por sekureco kialoj, nur la protokoloj estas al esti uzata estos ebligita.';
$string['context'] = 'Kunteksto';
$string['createservicedescription'] = 'Servo estas aro de funkcioj \'retejo servo \'. Tio ebligos al la uzanto aliro al nova servo. Sur la "Aldoni Servo" marki la \'Ebligi \' kaj \'Rajtigita Uzanto\'. Elektu \'Neniu permeso bezonata\'.';
$string['createserviceforusersdescription'] = 'Servo estas aro de funkcioj \'retejo servo \'. Tio ebligos al la uzanto aliro al nova servo. Sur la "Aldoni Servo" marki la \'Ebligi\' \'Rajtigita Uzanto \' opcion kaj malmarku. Elektu \'Neniu permeso bezonata \'.';
$string['createtoken'] = 'Krei langeton';
$string['createtokenforuser'] = 'Krei profilo de uzanto por';
$string['createtokenforuserdescription'] = 'Kreu profilon de uzanto por retejo servojn.';
$string['createuser'] = 'Krei specifa uzanto';
$string['createuserdescription'] = 'Uzanto de TTT servoj estas bezonata por reprezenti la sistemon kiu kontrolas Moodle.';
$string['criteriaerror'] = 'Mankas permesoj por esplorrigardi la kriterion.';
$string['default'] = 'Defaŭlta valoro por "{$a}"';
$string['deleteaservice'] = 'Forigi servo';
$string['deleteservice'] = 'Forigi la servo: {$a->name} (id: {$a->id})';
$string['deleteserviceconfirm'] = 'Forigi servo estos ankaŭ forigi la blatoj (iloj) rilate al tiu servo. Ĉu vere forigi la eksteran servon "{$a}"?';
$string['deletetokenconfirm'] = 'Ĉu vere forigi ĉi tiun paĝon (token) por reta servo <strong> {$a->user} </strong> je la servo <strong> {$a->service} </strong>?';
$string['disabledwarning'] = 'Ĉiuj servoj retejo protokoloj estas malaktivigita. La parametro "Ebligu TTT Servoj" troviĝas en "Altnivelaj Trajtoj".';
$string['doc'] = 'Dokumentado';
$string['docaccessrefused'] = 'Vi ne estas rajtigita por vidi ĉi tiun paĝon dokumentado';
$string['documentation'] = 'Dokumentante TTT servoj';
$string['downloadfiles'] = 'Vi povas elŝuti dosierojn';
$string['downloadfiles_help'] = 'Se ebligita, ĉiu uzanto povas elŝuti dosierojn kun via sekureco ŝlosilo. Kompreneble ili estas limigitaj al dosieroj kiuj estas permesataj por elŝuti el la retejo.';
$string['editaservice'] = 'Redakti Servo';
$string['editservice'] = 'Redaktu la servo: {$a->name} (id: {$a->id})';
$string['enabled'] = 'Ebligita';
$string['enabledocumentation'] = 'Ebligu programisto dokumentado';
$string['enabledocumentationdescription'] = 'Ĝi estas disponebla por detala dokumentado pri retaj servoj ebligitaj protokoloj.';
$string['enableprotocols'] = 'Ebligu protokoloj';
$string['enableprotocolsdescription'] = 'Almenaŭ unu protokolo devas esti ebligita. Por sekureco, la protokoloj estu uzata devas esti ebligita.';
$string['enablews'] = 'Ebligu TTT servoj';
$string['enablewsdescription'] = 'TTT servoj devas esti ebligita en la progresinta karakterizaĵoj.';
$string['entertoken'] = 'Tajpu ŝlosilvorto/sekureco datumoj folio:';
$string['error'] = 'Eraro: {$a}';
$string['errorcatcontextnotvalid'] = 'Vi ne povas ekzekuti funkciojn en la kunteksto de kategorio (la kategorio id: {$a->catid}). La kunteksto de la mesaĝo estis: {$a->message}';
$string['errorcodes'] = 'Eraro mesaĝon';
$string['errorcoursecontextnotvalid'] = 'Vi ne povas ekzekuti funkciojn en la kunteksto de progreso (kurso id: {$a->courseid}). La kunteksto eraro mesaĝo estis: {$a->message}';
$string['errorinvalidparam'] = 'La "{$a}" parametro ne estas valida.';
$string['errornotemptydefaultparamarray'] = 'La parametro priskribo de servo retejo nomata \'{$a} \' estas unuopa aŭ multobla strukturo. Defaŭlte ĝi povas esti nur malplena tabelo. Revizii la priskribo de la TTT-servo.';
$string['erroroptionalparamarray'] = 'La priskribo de la TTT-servo parametro nomata \'{$a} \' estas unuopa aŭ multobla strukturo. Ĝi ne povas esti agordita kiel VALUE_OPTIONAL. Revizii la priskribo de TTT servoj';
$string['eventwebservicefunctioncalled'] = 'TTT servo funkcio nomita';
$string['eventwebserviceloginfailed'] = 'TTT servo ensaluto fiaskis';
$string['eventwebserviceservicecreated'] = 'TTT servo servon kreita';
$string['eventwebserviceservicedeleted'] = 'TTT servo servon forigita';
$string['eventwebserviceserviceupdated'] = 'TTT servo servon ĝisdatigita';
$string['eventwebserviceserviceuseradded'] = 'TTT servo servon uzanto aldonita';
$string['eventwebserviceserviceuserremoved'] = 'TTT servo servon uzanto forigita';
$string['eventwebservicetokencreated'] = 'TTT servo ilo kreita';
$string['eventwebservicetokensent'] = 'TTT servo ilo sendita';
$string['execute'] = 'Plenumu';
$string['executewarnign'] = 'ATENTU: Se vi alklakos "kuri" via datumbazo estos modifita. Paĝoj ne povas aŭtomate restarigu';
$string['externalservice'] = 'Ekstera Servo';
$string['externalservicefunctions'] = 'Funkcioj de ekstera servo';
$string['externalservices'] = 'Eksteraj Servoj';
$string['externalserviceusers'] = 'Uzanto ekstera servo';
$string['failedtolog'] = 'Eraro je ensaluto';
$string['filenameexist'] = 'La dosiero nomo jam ekzistas: {$a}';
$string['forbiddenwsuser'] = 'Maleblas krei slipon (token) por uzanto sen-konfirmas, forigita, nuligita aŭ gasto.';
$string['function'] = 'Funkcio';
$string['functions'] = 'Funkcioj';
$string['generalstructure'] = 'Ĝenerala strukturo';
$string['information'] = 'Informo';
$string['installexistingserviceshortnameerror'] = 'Al retejo servo kun la mallonga nomo "{$a}" jam ekzistas. Maleblas install/aktualigi malsama servo retejo kun tiu mallonga nomo.';
$string['installserviceshortnameerror'] = 'Insekto: la mallonga servo nomo "{$a}" povas nur enhavi nombroj, literoj kaj _ gravuloj.';
$string['invalidextparam'] = 'Nevalida eksteraj api parametro: {$a}';
$string['invalidextresponse'] = 'Nevalida eksteraj api respondo: {$a}';
$string['invalidiptoken'] = 'Nevalida slipon - Via IP ne estas subtenata';
$string['invalidtimedtoken'] = 'URL (token) nevalidaj - slipo eksvalidiĝi';
$string['invalidtoken'] = 'URL (token) nevalidaj - slipo ne trovita';
$string['iprestriction'] = 'IP Limigo';
$string['iprestriction_help'] = 'La uzanto povas fari uzon de TTT servojn se vi konektas de IP-adresoj listigitaj tie.';
$string['key'] = 'Ŝlosilo';
$string['keyshelp'] = 'La ŝlosiloj estas uzata por aliri vian Moodle konton de eksteraj aplikoj.';
$string['manageprotocols'] = 'Administru protokoloj';
$string['managetokens'] = 'Administru iloj';
$string['missingcaps'] = 'Perditaj permesojn';
$string['missingcaps_help'] = 'Listo de permesoj bezonataj por la laboro, kiun havas la elektita uzanto. Perdita permesoj devas esti aldonitaj al la listo de la uzanto por uzi tiun servon.';
$string['missingpassword'] = 'Foul pasvorton';
$string['missingrequiredcapability'] = 'Permeso {$a} estas bezonata.';
$string['missingusername'] = 'Foul salutnomo';
$string['missingversionfile'] = 'Insekto: Perdita version.php por komponanto {$a}';
$string['nocapabilitytouseparameter'] = 'La uzanto ne havas la kapablon uzi la parametron {$a}';
$string['nofunctions'] = 'Ĉi tiu servo ne havas funkciojn.';
$string['norequiredcapability'] = 'Neniu permeso estas bezonata';
$string['notoken'] = 'La listo de iloj (token) estas malplena.';
$string['onesystemcontrolling'] = 'Permesu al ekstera kontrolo sistemo por Moodle';
$string['onesystemcontrollingdescription'] = 'La sekvaj paŝoj helpos vin krei TTT servo por interagi kun ekstera sistemo Moodle. Inkluzivas agordo identigo metodo kontrolo (sekureco klavo).';
$string['operation'] = 'Operacio';
$string['optional'] = 'Nedeviga';
$string['passwordisexpired'] = 'La pasvorto eksvalidiĝis';
$string['phpparam'] = 'XML-RPC (PHP kadro)';
$string['phpresponse'] = 'XML-RPC (PHP kadro)';
$string['postrestparam'] = 'PHP-kodo por ripozo (POST peto)';
$string['potusers'] = 'Neniu rajtigitaj uzantoj';
$string['potusersmatching'] = 'Neniaj rajtigitaj uzantoj';
$string['print'] = 'Presi cxiujn';
$string['protocol'] = 'Protokolo';
$string['removefunction'] = 'Eltiru';
$string['removefunctionconfirm'] = 'Ĉu vi vere volas forigi la "{$a->function}" servo "{$a->service}"?';
$string['requireauthentication'] = 'Tiu metodo postulas identigon kun permeso xxx.';
$string['required'] = 'Diskutejo';
$string['requiredcapability'] = 'Permeso bezonata';
$string['requiredcapability_help'] = 'Se la opcio, nur uzantoj kun la bezonataj permesoj povas aliri la servon estas aktivigita.';
$string['requiredcaps'] = 'Postulatajn permesojn';
$string['resettokenconfirm'] = 'Ĉu vi vere volas nuligi ĉi tiun ŝlosilon servo por <strong> {$a->user} </strong> je la servo <strong> {$a->service} </strong>?';
$string['resettokenconfirmsimple'] = 'Ĉu vi certas ke vi volas restarigi la koncernan klavon? Ajna savis ligilon kiun enhavas la supran klavon ne plu funkcias.';
$string['response'] = 'Respondo';
$string['restcode'] = 'REST';
$string['restexception'] = 'REST';
$string['restoredaccountresetpassword'] = 'La restarigita konto bezonas restartigi (reboot) la pasvorton antaŭ ol atingi slipon (token).';
$string['restparam'] = 'REST (POST parametroj)';
$string['restrictedusers'] = 'Nur rajtigitaj uzantoj';
$string['restrictedusers_help'] = 'Tiu opcio determinas ĉu ĉiuj uzantoj kun la permeso por krei slipon (token) TTT servoj povas generi tiun ilon (token) tra ĝiaj paĝoj aŭ sekureco klavoj nur rajtigitaj uzantoj povas fari.';
$string['securitykey'] = 'Sekureco klavo (tab)';
$string['securitykeys'] = 'Sekureco Keys';
$string['selectauthorisedusers'] = 'Selekti uzantoj rajtigitaj';
$string['selectedcapability'] = 'Elektitaj';
$string['selectedcapabilitydoesntexit'] = 'La aktuala ĝustigas de la permeso postulita ({$a}) jam ne ekzistas. Por favoro, ŝanĝi ĝin kaj ĝi gardas la ŝanĝojn.';
$string['selectservice'] = 'Elektu servo';
$string['selectspecificuser'] = 'Selekti specifan uzanton';
$string['selectspecificuserdescription'] = 'Aldonu la servo retejo de uzanto kiel rajtigita uzanto.';
$string['service'] = 'Servo';
$string['servicehelpexplanation'] = 'Servo estas aro de funkcioj. Servo, kiun povas aliri per ĉiuj uzantoj aux nur iuj specifitaj.';
$string['servicename'] = 'Servo Nomo';
$string['servicenotavailable'] = 'La retejo servo ne estas disponebla (ne ekzistas aŭ povas esti malebligita)';
$string['servicesbuiltin'] = 'Servoj inkludis';
$string['servicescustom'] = 'Propraj Servoj';
$string['serviceusers'] = 'Rajtigitaj Uzantoj';
$string['serviceusersettings'] = 'Uzanto Agordoj';
$string['serviceusersmatching'] = 'Uzantoj rajtigitaj akordigaj';
$string['serviceuserssettings'] = 'Ŝanĝo agordojn por rajtigitaj uzantoj';
$string['shortnametaken'] = 'Mallonga nomo jam uzata de alia servo ({$a})';
$string['simpleauthlog'] = 'Simpla aliro identigo';
$string['step'] = 'Paŝoj';
$string['supplyinfo'] = 'Pli detaloj';
$string['testauserwithtestclientdescription'] = 'Simuli ekstera aliro al la servo uzanta la TTT servo testo kliento. Antaŭ ol fari sian ensaluti kiel uzanto kun Moodle/webservice permeson: createtoken por la sekureco klavo (token) tra Mia profilo agordojn. Vi uzos tiun informon (token) en la testo kliento. En la testo klienton, ankaŭ elektu aŭtentokontrolo ebligita slipo (token) protokolo. <strong> AVERTO: La trajtoj vi provu esti ekzekutita pro ĉi uzanto, do vi devas esti singardema kun kio vi decidas provi </strong>!';
$string['testclient'] = 'Testo Kliento TTT Servo';
$string['testclientdescription'] = '* La testo kliento kuras <strong> ttt servoj </strong> la funkcioj <strong> REALLY </strong>. Ne provi funkcioj ne scias. <br /> * ankoraŭ ne implementado ĉiujn funkciojn de la TTT-servoj testo kliento <br /> * Por kontroli, ke la uzanto ne povas acccesar iuj funkcioj, vi povas provi iujn funkciojn vi ne permesis. <br /> * Por vidi la erarmesaĝojn pli klara, konfiguri elpurigi <strong> {$a->mode} </strong> en {$a->atag} <br /> * Aliro la {$a->amfatag} .';
$string['testwithtestclient'] = 'Kontrolu la servo';
$string['testwithtestclientdescription'] = 'Simulas ekstera aliro al la servo uzanta la testo kliento TTT servon. Uzu permesata aŭtentokontrolo protokolon slipo (token). <strong> AVERTO: La trajtoj vi provu esti ekzekutita pro ĉi tiu uzanto, do vi devas esti singardema kun kio vi decidas provi </strong>!';
$string['token'] = 'Dosiero';
$string['tokenauthlog'] = 'Identigo per slipo';
$string['tokencreatedbyadmin'] = 'Nur povas reagordi de la administranto (*)';
$string['tokencreator'] = 'Kreinto';
$string['unknownoptionkey'] = 'Nekonata opcio klavo ({$a})';
$string['unnamedstringparam'] = 'Kordo parametro estas sennoma.';
$string['updateusersettings'] = 'Ĝisdatigu';
$string['uploadfiles'] = 'Vi povas alŝuti dosierojn';
$string['uploadfiles_help'] = 'Se ebligita, ĉiu uzanto povas alŝuti dosierojn kun ilia sekureco klavojn al siaj propraj privatajn dosierojn areo aŭ akirado dosieron areo. Ajna uzanto dosieron kotizoj apliki.';
$string['userasclients'] = 'Uzantoj kaj klientoj kun slipo';
$string['userasclientsdescription'] = 'La sekvaj paŝoj povas helpi lin al agordi la servo retejo Moodle por uzantoj kiel klientoj. Ĉi tiuj paŝoj ankaŭ lin helpos al agordi la metodo de aŭtentigo bazita en la slipo (token) rekomendita (ŝlosiloj de sekureco). En ĉi tiu kazo, la uzanto generos lian slipon (token) de la paĝo de ŝlosiloj de sekureco per la agordo de Mia profilo.';
$string['usermissingcaps'] = 'Permesoj forestas: {$a}';
$string['usernameorid'] = 'Salutnomo/Uzantnumero';
$string['usernameorid_help'] = 'Enskribu la uzulonomon aŭ uzantidentigilon.';
$string['usernameoridnousererror'] = 'Neniu uzantoj trovigxas cxe tiu uzantnomo/user ID';
$string['usernameoridoccurenceerror'] = 'Ni trovis pli ol unu uzanto kun tiu salutnomo. Bonvolu eniri la uzantidentigilon';
$string['usernotallowed'] = 'La uzanto ne havas tiun servon ebligita. Unue, ĉi tiu uzanto devas permesi ghin en {$a} \'s permesis la uzanto mastrumado paĝo.';
$string['usersettingssaved'] = 'Uzanto agordojn savitajn';
$string['validuntil'] = 'Valida vi';
$string['validuntil_help'] = 'Se la opcio estas ebligita, la servo estos malebligita por ĉi tiu uzanto post tiu dato.';
$string['webservice'] = 'TTT Servo';
$string['webservices'] = 'TTT Servoj';
$string['webservicesoverview'] = 'Superrigardo';
$string['webservicetokens'] = 'Iloj TTT servoj';
$string['wrongusernamepassword'] = 'Salutnomo aŭ pasvorto malĝusta';
$string['wsaccessuserdeleted'] = 'TTT servo aliro al la nomo de uzanto estis malakceptita forigis: {$a}';
$string['wsaccessuserexpired'] = 'Aliro al servo retejo kun uzantnomo pasvorton finiĝas Rejected: {$a}';
$string['wsaccessusernologin'] = 'Aliro al la retejo servo por uzulonomon aŭtentokontrolo sen identigo estis rifuzita: {$a}';
$string['wsaccessusersuspended'] = 'Malakceptis la aliron al servo retejo por la nomo de nuligita uzanto: {$a}';
$string['wsaccessuserunconfirmed'] = 'Aliro al la retejo servo por uzant-nomo estis malakceptita konfirmitaj: {$a}';
$string['wsclientdoc'] = 'Dokumentaro Moodle TTT servoj';
$string['wsdocapi'] = 'API Dokumentaro';
$string['wsdocumentation'] = 'Dokumentaro TTT Servo';
$string['wsdocumentationdisable'] = 'Dokumentado de TTT servoj estas malebligita';
$string['wsdocumentationintro'] = 'Krei kliento bonvolu legi la {$a->doclink}';
$string['wsdocumentationlogin'] = 'Aŭ tajpi vian salutnomon kaj pasvorton por TTT servoj:';
$string['wspassword'] = 'Pasvorto TTT Servo';
$string['wsusername'] = 'Salutnomo TTT Servo';
